#include "FE_Basis.h"

FE_Basis::FE_Basis()
{
}

FE_Basis::~FE_Basis()
{
}



/*
 * Performs:
 * 		alpha_0 * e_0 + alpha_1 * e_1 + ... + alpha_n * e_n 
 * where
 * 		"alpha" are the coordinates of the desired function on this FE basis
 * 		"e_i" are the vectors that compose the basis
 */
void FE_Basis::realization(Matrix* alpha)
{
	int i;
	for(i=0;i<this->size;i++)
	{
		if(i==0)
			this->vectors[i]->realization(alpha->getElement(0,i),0);
		else
			this->vectors[i]->realization(alpha->getElement(0,i),1);
		
	}
	
}
